<?php
$sql = "SELECT * FROM " . PREFIX . "_Rechnungen WHERE (Liefer_Jahr = \"" . $Jahr . "\" AND Liefer_ID = \"" . $ID . "\");";
$result = $db->query($sql);

while ($nt = $result->fetch_assoc())
{
	while (strlen($nt['ID']) < $_SESSION['Firma']['Stellen'])
	{
		$nt['ID'] = "0" . $nt['ID'];
	}
	if ($nt['Schluss_Rechnung'])
	{
		exit("<h1>Zu diesem Lieferschein existiert bereits eine Abschluss-Rechnung mit der Nummer: " . $nt['Jahr'] . "_" . $nt['ID'] . "!</h1>");
	}
	else
	{
		if (isset($_POST['Rechnung']) AND ("VK" == $_POST['Rechnung']))
		{
			if ($nt['Vorkasse'])
			{
				exit("<h1>Zu diesem Lieferschein existiert bereits eine Vorkasse-Rechnung mit der Nummer: " . $nt['Jahr'] . "_" . $nt['ID'] . "!</h1>");
			}
		}
	}
}
$sql = "SELECT * FROM " . PREFIX . "_liefer WHERE (Jahr = \"" . $Jahr . "\" AND ID = \"" . $ID . "\");";
$result = $db->query($sql);
$nt = $result->fetch_assoc();
echo "<br />\n";
$sql = 'INSERT INTO ' . PREFIX . '_Rechnungen (Jahr, ID, Kontakt_ID, Liefer_Jahr, Liefer_ID, Admin_ID, Vorkasse, Schluss_Rechnung, MwSt, Text, Datum) VALUES (YEAR(CURDATE()), NULL, "' . $nt['Kontakt_ID'] . '", "' . $Jahr . '", "' . $ID . '", "' . $nt['Admin_ID'] . '", "0", "1", "' . $_POST['MwSt'] . '", "' . addslashes(stripslashes($nt['Text'])) . '", CURDATE())';
$stmt = $db->prepare($sql);
if (!$stmt)
{
	die ('Datensatz konnte nicht angelegt werden: ' . $db->error);
}
if (!$stmt->execute())
{
	die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
}
$sql = 'SELECT last_insert_id() AS last';
$result = $db->query($sql);
$nttemp = $result->fetch_assoc();
$ID_New = $nttemp['last'];

$sql = "UPDATE " . PREFIX . "_liefer SET
		Referenz_Jahr = YEAR(CURDATE()),
		Referenz_ID = \"" . $ID_New . "\"
		WHERE (
		Jahr = \"" . $Jahr . "\"
		AND
		ID = \"" . $ID . "\" );";
$stmt = $db->prepare($sql);
if (!$stmt)
{
	die ('DDatensatz konnte nicht angelegt werden: ' . $db->error);
}
if (!$stmt->execute())
{
	die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
}

$sqlp = "SELECT * FROM " . PREFIX . "_liefer_Pos WHERE (Jahr = \"" . $Jahr . "\" AND liefer_ID = \"" . $ID . "\");";
$resultp = $db->query($sqlp);
while ($ntp = $resultp->fetch_assoc())
{
	$sql = "INSERT INTO " . PREFIX . "_Rechnung_Pos (ID, Jahr, Rechnung_ID, Position, Anzahl, Bezeichnung, Preis, Feld1, Feld2, Feld3, Feld4, Feld5) VALUES (NULL, YEAR(CURDATE()), \"" . $ID_New . "\", \"" . $ntp['Position'] . "\", \"" . $ntp['Anzahl'] . "\", \"" . addslashes(stripslashes($ntp['Bezeichnung'])) . "\", \"" . $ntp['Preis'] . "\", \"" . addslashes(stripslashes($ntp['Feld1'])) . "\", \"" . addslashes(stripslashes($ntp['Feld2'])) . "\", \"" . addslashes(stripslashes($ntp['Feld3'])) . "\", \"" . addslashes(stripslashes($ntp['Feld4'])) . "\", \"" . addslashes(stripslashes($ntp['Feld5'])) . "\");";
	$stmt = $db->prepare($sql);
	if (!$stmt)
	{
		die ('Datensatz konnte nicht angelegt werden: ' . $db->error);
	}
	if (!$stmt->execute())
	{
		die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
	}
}

echo "<fieldset>\n";
echo "	<legend>Rechnung wurde erstellt</legend>\n";
echo "	<form action=\"index.php?section=rechnung\" method=\"post\">\n";
echo "		<input type=\"hidden\" name=\"ID\" value=\"" . date("Y") . "_" . $ID_New . "\" />\n";
echo "		<input type=\"submit\" class=\"button_edit\" name=\"formaction\" value=\"edit\" title=\"Rechnung bearbeiten\" />\n";
echo "	</form>\n";
echo "</fieldset>\n";